Subject: Re: bug#58520: Persistent failure to DNS-lookup hostname

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Dec 2023 19:30:45 +0200

> Cc: [email-masked], Paul Eggert <[email-masked]>
> Date: Sun, 17 Dec 2023 18:27:10 -0500
> From:  Stefan Monnier via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> > P.S. It would be nice to have that patch that you mentioned that added a
> >      function that fixes the broken requests.
> 
> I use the patch below.
> When Emacs gets into this weird state, I do `M-: (res-init) RET` after
> which I can connect again.

Why do you need Emacs for that?  Write a small program that calls
res_init, and that's it.